Skip to main content
GET
/
public
/
v2
/
inbox
/
records
List records inbox
curl --request GET \
  --url https://api.dualentry.com/public/v2/inbox/records/ \
  --header 'X-API-KEY: <api-key>'
{
  "items": [
    {
      "record_type": "<string>",
      "name": "<string>",
      "approval_status": "<string>",
      "approver": "<string>",
      "workflow_id": 123,
      "record_id": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "approval_info": {
        "workflow_name": "<string>",
        "workflow_version": 123,
        "step_name": "<string>",
        "current_substep": 123,
        "substeps": [
          {
            "order": 123,
            "approvers": [
              {
                "id": 123,
                "first_name": "<string>",
                "last_name": "<string>",
                "email": "<string>",
                "full_name": "<string>"
              }
            ],
            "approved_by": [
              {
                "id": 123,
                "first_name": "<string>",
                "last_name": "<string>",
                "email": "<string>",
                "full_name": "<string>"
              }
            ],
            "rejected_by": [
              {
                "id": 123,
                "first_name": "<string>",
                "last_name": "<string>",
                "email": "<string>",
                "full_name": "<string>"
              }
            ]
          }
        ]
      },
      "initiator_id": 123
    }
  ],
  "count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.dualentry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Query Parameters

search
string | null
record_type
string[] | null
approval_status
string[] | null
record_id
integer[] | null
limit
integer
default:100

Number of records to return per page (capped at 100)

Required range: x >= 1
offset
integer
default:0

Number of records to skip before starting to return results

Required range: x >= 0

Response

OK

items
PublicRecordInboxSchemaOut · object[]
required
count
integer
required
Last modified on May 28, 2026